%define	name	gnomad2
%define	version	2.9.4
%define rel	2
%define	release	%mkrel %{rel}
%define	Summary	A Nomad Jukebox manager

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://gnomad2.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.9.4-fix-str-fmt.patch
BuildRequires:	libnjb-devel >= 2.2 
BuildRequires:	libgtk+2-devel
BuildRequires:	libid3tag-devel
BuildRequires:	ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  libmtp-devel
BuildRequires:  taglib-devel
BuildRequires:	hal-devel
BuildRequires:	dbus-devel
BuildRequires:	intltool
Requires:	libnjb >= 2.2.5
Requires:	libmtp8 >= 0.3.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
Gnomad 2 is a GUI built on top of GTK/GNOME 2, libid3tag and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%setup -q
%patch0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir},%{_menudir}}
convert -size 16x16 %{name}-logo.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}-logo.png
convert -size 32x32 %{name}-logo.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}-logo.png
convert -size 48x48 %{name}-logo.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}-logo.png

perl -pi -e 's,%{name}-logo.png,%{name}-logo,g' %{buildroot}%{_datadir}/applications/*

%find_lang %{name}
desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
	  
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/man1/%{name}.1*
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_miconsdir}/%{name}-logo.png
%{_iconsdir}/%{name}-logo.png
%{_liconsdir}/%{name}-logo.png
%doc AUTHORS NEWS ChangeLog README TODO

%changelog
* Fri Nov 26 2009 pcserver <pcserver at hush.com> 2.9.4-2pclos2010
- gcc update

* Wed May 20 2009 don_crissti <don_crissti@gmx.com> 2.9.4-1pclos2009
- new version

* Mon Aug 18 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 2.9.1-2
- Build against new libmtp8

* Tue Apr 15 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 2.9.1-1
- 2.9.1
- Build against new libmtp7

* Thu Dec 06 2007 Texstar <texstar@gmail.com> 2.9.0-1pclos2007
- rebuild against updated libmtp-0.2.4

* Sat Aug 04 2007 Torbjorn Turpeinen <tobbe@djura.org> 2.8.13-2
- Rebuild against libmtp-0.2.0

* Mon Jun 11 2007 Texstar <texstar@gmail.com> 2.8.13-1pclos2007
- import into pclos 2007
